Search Results for

Show / Hide Table of Contents

# Class TableView.CellColorGetterDelegate

Delegate for providing color to TableView cells based on the value being rendered

##### Inheritance

System.Object
TableView.CellColorGetterDelegate

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class CellColorGetterDelegate : MulticastDelegate

### Constructors

#### CellColorGetterDelegate(Object, IntPtr)

##### Declaration

    public CellColorGetterDelegate(object object, IntPtr method)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | object |
System.IntPtr | method |

### Methods

#### BeginInvoke(TableView.CellColorGetterArgs, AsyncCallback, Object)

##### Declaration

    public virtual IAsyncResult BeginInvoke(TableView.CellColorGetterArgs args, AsyncCallback callback, object object)

##### Parameters

Type | Name | Description
--- | --- | ---
TableView.CellColorGetterArgs | args |
System.AsyncCallback | callback |
System.Object | object |

##### Returns

Type | Description
--- | ---
System.IAsyncResult |

#### EndInvoke(IAsyncResult)

##### Declaration

    public virtual ColorScheme EndInvoke(IAsyncResult result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IAsyncResult | result |

##### Returns

Type | Description
--- | ---
ColorScheme |

#### Invoke(TableView.CellColorGetterArgs)

##### Declaration

    public virtual ColorScheme Invoke(TableView.CellColorGetterArgs args)

##### Parameters

Type | Name | Description
--- | --- | ---
TableView.CellColorGetterArgs | args |

##### Returns

Type | Description
--- | ---
ColorScheme |